# Kluster setup and IaaC using argoCD



### Initial setup
On a running (and sealed-secrets installed) k3s instance run:
```
kubectl apply -k infrastructure/argocd
```
This will install argocd and CRDs in a dedicated namespace along with the app-of-apps configured under `kluster-deployments/`.

The app-of-apps will bootstrap a fully featured cluster with the following components
- postgres instance with backups
- backup of all nfs PVCs using restic
- traefik (along with metallb as a publicly accessible reverse proxy)
- an nfs-provisioner creating PVCs on-demand
- a range of selfhosted apps
